The 'mutool poster' command reads the input PDF file and for each page chops it up into x by y pieces. Each piece becomes its own page in the output PDF file. This makes it possible for each page to be printed upscaled and can then be merged into a large poster.

    mutool poster [options] input output

The command line options are:

-x decimation factor
  Pieces to horizontally divide each page into.
-y decimation factor
  Pieces to vertically divide each page into.
input
  Input PDF file name.
output
  The output pdf file name.